/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_str_test_chars.c                                :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: mverdier <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2017/03/15 15:09:24 by mverdier          #+#    #+#             */
/*   Updated: 2017/10/09 16:13:47 by mverdier         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

int		ft_str_test_chars(char *str, int f(int))
{
	int		i;

	i = 0;
	while (str[i])
		if (!f(str[i++]))
			return (0);
	return (1);
}
